package com.zehong.system.service.impl;

import java.util.Date;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zehong.system.mapper.TInsSpotRecInforMapper;
import com.zehong.system.domain.TInsSpotRecInfor;
import com.zehong.system.service.ITInsSpotRecInforService;

/**
 * 监督检查-调查结果Service业务层处理
 * 
 * @author zehong
 * @date 2024-05-22
 */
@Service
public class TInsSpotRecInforServiceImpl implements ITInsSpotRecInforService 
{
    @Autowired
    private TInsSpotRecInforMapper tInsSpotRecInforMapper;

    /**
     * 查询监督检查-调查结果
     * 
     * @param fInsSpotRecInforId 监督检查-调查结果ID
     * @return 监督检查-调查结果
     */
    @Override
    public TInsSpotRecInfor selectTInsSpotRecInforById(Long fInsSpotRecInforId)
    {
        return tInsSpotRecInforMapper.selectTInsSpotRecInforById(fInsSpotRecInforId);
    }

    /**
     * 查询监督检查-调查结果列表
     * 
     * @param tInsSpotRecInfor 监督检查-调查结果
     * @return 监督检查-调查结果
     */
    @Override
    public List<TInsSpotRecInfor> selectTInsSpotRecInforList(TInsSpotRecInfor tInsSpotRecInfor)
    {
        return tInsSpotRecInforMapper.selectTInsSpotRecInforList(tInsSpotRecInfor);
    }

    /**
     * 新增监督检查-调查结果
     * 
     * @param tInsSpotRecInfor 监督检查-调查结果
     * @return 结果
     */
    @Override
    public int insertTInsSpotRecInfor(TInsSpotRecInfor tInsSpotRecInfor)
    {
        tInsSpotRecInfor.setfUpdateTime(new Date());
        return tInsSpotRecInforMapper.insertTInsSpotRecInfor(tInsSpotRecInfor);
    }

    /**
     * 修改监督检查-调查结果
     * 
     * @param tInsSpotRecInfor 监督检查-调查结果
     * @return 结果
     */
    @Override
    public int updateTInsSpotRecInfor(TInsSpotRecInfor tInsSpotRecInfor)
    {
        tInsSpotRecInfor.setfUpdateTime(new Date());
        return tInsSpotRecInforMapper.updateTInsSpotRecInfor(tInsSpotRecInfor);
    }

    /**
     * 批量删除监督检查-调查结果
     * 
     * @param fInsSpotRecInforIds 需要删除的监督检查-调查结果ID
     * @return 结果
     */
    @Override
    public int deleteTInsSpotRecInforByIds(Long[] fInsSpotRecInforIds)
    {
        return tInsSpotRecInforMapper.deleteTInsSpotRecInforByIds(fInsSpotRecInforIds);
    }

    /**
     * 删除监督检查-调查结果信息
     * 
     * @param fInsSpotRecInforId 监督检查-调查结果ID
     * @return 结果
     */
    @Override
    public int deleteTInsSpotRecInforById(Long fInsSpotRecInforId)
    {
        return tInsSpotRecInforMapper.deleteTInsSpotRecInforById(fInsSpotRecInforId);
    }
}
